"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libbasic' }"

UnixDesktop subclass:#XDGDesktop
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'System-Desktop'
!

!XDGDesktop class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
! !

!XDGDesktop class methodsFor:'accessing'!

priority

    ^30

    "Created: / 11-08-2009 / 16:41:45 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!XDGDesktop class methodsFor:'accessing - defaults'!

defaultEditorCommand
    ^ 'xdg-open %F'

    "Created: / 11-08-2009 / 16:54:29 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!XDGDesktop class methodsFor:'testing'!

isAvailable
    ^ super isAvailable 
        and: [ (OperatingSystem pathOfCommand: 
                    (self defaultEditorCommand upTo:
                        Character space)) notNil ]

    "Created: / 11-08-2009 / 16:44:34 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!XDGDesktop class methodsFor:'documentation'!

version
    ^'$Id: XDGDesktop.st 10717 2011-10-11 15:53:59Z vranyj1 $'
!

version_SVN
    ^ '$Id: XDGDesktop.st 10717 2011-10-11 15:53:59Z vranyj1 $'
! !
